
<?php
header('Cache-Control: no-cache');
header('Pragma: no-cache'); 


include('../conexion.php'); 

?>

<script>

function pon_prefijo() {
	parent.document.getElementById("cantidad").select();
    
}



</script>

<?php


$codfactura=$_GET["codfacturatmp"];
$numlinea=$_GET["numlinea"];
$cantidad=$_GET["cantidad"];
$cdgbar=$_GET["cdgbar"];
$cliexe=$_GET["cliexe"];
$dcto=$_GET["descuento"];
$posicion=($numlinea*16)-30;

	
$sel_lineas="SELECT * FROM pedidos_lineastmp WHERE codfactura='$codfactura' AND codigo='$cdgbar' AND numlinea='$numlinea' ";



$contador=0;
if ($resultado = $mysqli->query($sel_lineas)) 


    while ($fila = $resultado->fetch_assoc()) {

		$numlinea = $fila["numlinea"];


    $dscart = $fila["dscart"];
	$preivi = $fila["preivi"];
	$importe = $fila["importe"];
	$impuesto = $fila["impuesto"];


	$importe=$cantidad*$preivi;

	
 	if ($dcto > 0 ){
		
		$mondes=$importe*$dcto/100;
		
		} else {
			
		$mondes=0;	
			}
	
	$subtotal=$cantidad*$preivi;
	
	if ($impuesto >  0 ){
		
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
}
echo "<script>parent.location.href='frame_lineas_super.php?codfacturatmp=".$codfactura."&cliexe=".$cliexe."&cliexe=".$cliexe."&posicion=".$posicion."'</script>";

	
	$sel_act="UPDATE  pedidos_lineastmp SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$dcto', mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfactura' and codigo=$cdgbar  AND numlinea='$numlinea'";
	$mysqli->query($sel_act);


if ($result = $mysqli->query("SELECT count(*) as filas FROM pedidos_lineastmp WHERE  codfactura=$codfactura" )) {
   $filas = $result->num_rows;
   $result->close();
}




?>


				<script languaje="javascript">
	


		</script>